/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;

import javax.validation.constraints.Size;
import java.io.Serializable;


/**
 * 计划环境关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-08-30 10:30:29  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划环境关联表")
public class AtuPlanEnvLink extends Partition implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_planId = "planId";
  public static final String KEY_envId = "envId";
  public static final String KEY_sort = "sort";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  private Long id;
  /**
   * 计划id<br>
   */
  @ApiModelProperty("计划id")
  @Size(max = 32, message="计划id-planId: 数据长度不能 > 32" )
  private String planId;
  /**
   * 环境id<br>
   */
  @ApiModelProperty("环境id")
  @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
  private String envId;
  /**
   * 排序值<br>
   */
  @ApiModelProperty("排序值")
  private Integer sort;

  /**
   * 主键<br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 计划id<br>
   */
  public String getPlanId()
  {
      return planId;
    }

  /**
   * 计划id<br>
   *
   * @param planId 计划id
   */
  public void setPlanId(String planId)
  {
      this.planId = planId;
    }
  /**
   * 环境id<br>
   */
  public String getEnvId()
  {
      return envId;
    }

  /**
   * 环境id<br>
   *
   * @param envId 环境id
   */
  public void setEnvId(String envId)
  {
      this.envId = envId;
    }
  /**
   * 排序值<br>
   */
  public Integer getSort()
  {
      return sort;
    }

  /**
   * 排序值<br>
   *
   * @param sort 排序值
   */
  public void setSort(Integer sort)
  {
      this.sort = sort;
    }

  public AtuPlanEnvLink()
  {
  }

}
